Server:
  host: localhost
  port: 8050

spring:
  config:
    activate:
      on-profile: prod
  datasource:
    url: jdbc:log4jdbc:mysql://rdsinst-prd-aisb-db.cluster-cvqg2qu2yggz.ap-northeast-2.rds.amazonaws.com/ICS_CINNAMON
    username: aistore
    password: dnsdud123!!!
    owner: ICS_DEV
    driver-class-name: net.sf.log4jdbc.DriverSpy
    #    driver-class-name: oracle.jdbc.driver.OracleDriver
    type: org.apache.tomcat.jdbc.pool.DataSource
    hikari:
      maximum-pool-size: 10
      connection-timeout: 60000

  jpa:
    hibernate:
      ddl-auto: none
    properties:
      hibernate:
        dialect: com.icomsys.main_vm.common.util.CustomDialect

feign:
  url:
    test: http://localhost:8014
    cinnamon: http://nlb-prd-aisb-callbot-455ec1b24bedbc3d.elb.ap-northeast-2.amazonaws.com:8080
    nlp: http://nlb-prd-aisb-callbot-455ec1b24bedbc3d.elb.ap-northeast-2.amazonaws.com:17500/ichatApi
    s3Bucket: s3-prd-aisb-soe
    bgmpath: bgm/
    selvas: nlb-prd-aisb-callbot-455ec1b24bedbc3d.elb.ap-northeast-2.amazonaws.com
    ttsport: 7890
    sttport: 9999

file:
  path: /logs/was/aicb/cinnamon_ui/files/

nlpapi: true

Globals:
  profiles:
    active: 'pro'

cloud:
  aws:
    stack:
      auto: false
#    credentials:
#      instance-profile: false
#      use-default-aws-credentials-chain: true
